# Form implementation generated from reading ui file 'src/eric7/WebBrowser/Tools/WebIconDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_WebIconDialog(object):
    def setupUi(self, WebIconDialog):
        WebIconDialog.setObjectName("WebIconDialog")
        WebIconDialog.resize(550, 600)
        WebIconDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(WebIconDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.iconsList = QtWidgets.QListWidget(parent=WebIconDialog)
        self.iconsList.setContextMenuPolicy(QtCore.Qt.ContextMenuPolicy.CustomContextMenu)
        self.iconsList.setAlternatingRowColors(True)
        self.iconsList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.iconsList.setIconSize(QtCore.QSize(22, 22))
        self.iconsList.setObjectName("iconsList")
        self.gridLayout.addWidget(self.iconsList, 0, 0, 3, 1)
        self.removeButton = QtWidgets.QPushButton(parent=WebIconDialog)
        self.removeButton.setObjectName("removeButton")
        self.gridLayout.addWidget(self.removeButton, 0, 1, 1, 1)
        self.removeAllButton = QtWidgets.QPushButton(parent=WebIconDialog)
        self.removeAllButton.setObjectName("removeAllButton")
        self.gridLayout.addWidget(self.removeAllButton, 1, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.gridLayout.addItem(spacerItem, 2, 1, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=WebIconDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(WebIconDialog)
        self.buttonBox.accepted.connect(WebIconDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(WebIconDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(WebIconDialog)

    def retranslateUi(self, WebIconDialog):
        _translate = QtCore.QCoreApplication.translate
        WebIconDialog.setWindowTitle(_translate("WebIconDialog", "Favicons"))
        self.iconsList.setSortingEnabled(True)
        self.removeButton.setToolTip(_translate("WebIconDialog", "Press to remove the selected entries"))
        self.removeButton.setText(_translate("WebIconDialog", "&Remove"))
        self.removeAllButton.setToolTip(_translate("WebIconDialog", "Press to remove all entries"))
        self.removeAllButton.setText(_translate("WebIconDialog", "Remove &All"))
